Get bounded VM metrics history
curl --request GET \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/virtual-machines/{vmId}/metrics/history \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/virtual-machines/{vmId}/metrics/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"windowMs": 1,
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"loadAverage1m": 1,
"loadAverage5m": 1,
"loadAverage15m": 1,
"cpuUsagePercent": 50,
"memoryUsedBytes": 1,
"memoryTotalBytes": 1,
"memoryFreeBytes": 1,
"memoryUsedPercent": 50,
"swapUsedBytes": 1,
"swapTotalBytes": 1,
"swapUsedPercent": 50,
"rootDiskUsedBytes": 1,
"rootDiskTotalBytes": 1,
"rootDiskUsedPercent": 50
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Targets and inventory
Get bounded VM metrics history
Get bounded VM metrics history
curl --request GET \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/virtual-machines/{vmId}/metrics/history \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/virtual-machines/{vmId}/metrics/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"windowMs": 1,
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"loadAverage1m": 1,
"loadAverage5m": 1,
"loadAverage15m": 1,
"cpuUsagePercent": 50,
"memoryUsedBytes": 1,
"memoryTotalBytes": 1,
"memoryFreeBytes": 1,
"memoryUsedPercent": 50,
"swapUsedBytes": 1,
"swapTotalBytes": 1,
"swapUsedPercent": 50,
"rootDiskUsedBytes": 1,
"rootDiskTotalBytes": 1,
"rootDiskUsedPercent": 50
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Path Parameters
Example:
"4b930d98-add9-4924-ab26-3c16d96ec373"
Example:
"9254df42-4d9b-4e63-8bb6-93442e7d9a45"